package com.red.circle.other.app.inner.service.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanCmd;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysStartPagePlanDTO;

/**
 * app启动页
 *
 * @author lisizhe 2023/11/15  11:14
 */
public interface StartPagePlanClientService {

  PageResult<SysStartPagePlanDTO> pageStartPage(SysStartPagePlanQryCmd query);

  void update(SysStartPagePlanCmd param);

  void add(SysStartPagePlanCmd param);

  void delete(Long id);
}
